Subject: Re: bug#50230: Endian problem with native compilation

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Sep 2021 19:05:56 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 01 Sep 2021 15:13:54 +0000
> 
> This is changing the cast functions we synthesize and use in all the
> code we generate, so yes it is potentially destabilizing.
> 
> That said the generated code looks correct to me (and considerably
> cleaner).  Also, given these functions are really the foundation of a
> lot of other code we generate I guess would be unlikely to have these
> wrong but still have the testsuite passing clean and Emacs booting up
> correctly.  Call me optimistic but I'd be pretty confident with this
> change...

OK, thanks.  We'll see how it goes (after you find the problem with
endianness and fix it).